## gcc-4.8-doc 4.8.3

=== debian/changelog ===
gcc-4.8-doc (4.8.3-1) unstable; urgency=medium

  * New upstream release: 4.8.3.
  * Synced patches with gcc-4.8, 4.8.3-1, modified
    from-debian-gcc-gdc-4.8-doc.diff.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Mon, 26 May 2014 16:15:34 -0400

gcc-4.8-doc (4.8.2-3) UNRELEASED; urgency=medium

  * Synced patches with gcc-4.8, 4.8.2-23, no changes needed.
  * Updated debian/copyright.
  * Added a missed build-dep: texlive-fonts-recommended.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 01 Mar 2014 18:29:08 -0500

gcc-4.8-doc (4.8.2-2) unstable; urgency=low

  * Updated my uid.
  * Updated debhelper compatibility level from 7 to 9.
  * Added git branch in Vcs-Git.
  * Bumped standards version to 3.9.5, no changes needed.
  * Synced patches with gcc-4.8, 4.8.2-8, no changes needed.
  * Fixed the description of gnat-4.8-doc. (Closes: #730693)

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Wed, 11 Dec 2013 19:07:44 -0500

gcc-4.8-doc (4.8.2-1) unstable; urgency=low

  * New upstream release.
  * Synced patches with gcc-4.8, 4.8.2-1.

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 23 Oct 2013 22:14:34 -0400

gcc-4.8-doc (4.8.1-2) UNRELEASED; urgency=low

  * Synced patches with gcc-4.8, 4.8.1-10.
  * Dropped fix-value-gcc.diff.

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 03 Jul 2013 14:56:31 +0800

gcc-4.8-doc (4.8.1-1) unstable; urgency=low

  * New upstream release.
  * Synced patches with gcc-4.8, 4.8.1-3.

 -- Guo Yixuan <culu.gyx@gmail.com>  Wed, 19 Jun 2013 00:02:38 +0800

gcc-4.8-doc (4.8.0-2) UNRELEASED; urgency=low

  * Synced patches with gcc-4.8, 4.8.0-7, no changes needed.

 -- Guo Yixuan <culu.gyx@gmail.com>  Tue, 21 May 2013 10:00:22 +0800

gcc-4.8-doc (4.8.0-1) unstable; urgency=low

  * New upstream branch. (Closes: #707673)
  * debian/patches:
    - Synced patches with gcc-4.8, 4.8.0-5.
    - Dropped alpha-ieee-doc-clarification.diff and gccgo-direntry.diff,
      which is already in from-debian-gcc-alpha-ieee-doc.diff and
      from-debian-gcc-rename-info-files.diff.
    - Refreshed fix-direntry.diff.
    - fix-value-gcc.diff to correct variable names.
  * debian/control:
    - start building gnat-4.8,
    - stop building gcc-doc-base
    - Removed Samuel from uploaders.

 -- Guo Yixuan <culu.gyx@gmail.com>  Fri, 10 May 2013 15:22:35 +0800

gcc-4.7-doc (4.7.2-3) UNRELEASED; urgency=low

  * Fixed gccgo's info direntry.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sun, 20 Jan 2013 22:36:53 +0800

gcc-4.7-doc (4.7.2-2) unstable; urgency=low

  * New maintainer.
  * Thanks to Samuel Bronson for his work on this package. I kept him in
    uploaders as credit.
  * Removed DMUA flag, as it's being deprecated. Thanks to Steffen for
    adding that.
  * Improved README.source, and added a helper script, check_gcc_patches.
  * debian/patches:
    - Synced patches with gcc-4.7, 4.7.2-4.
      - updated debian/patches/from-debian-gcc-rename-info-files.diff
    - Added a patch, alpha-ieee-doc-clarification.diff, to state that
      changes in from-debian-gcc-alpha-ieee-doc.diff are specific to the alpha
      architecture.
    - Added fix-direntry.diff, to correct links for the info directory
      file, and gnat-cross-references.diff, to have correct cross references.
  * Updated copyright.
  * Removed gnat-4.7-doc, as gnat-4.7 is not in Debian.

 -- Guo Yixuan <culu.gyx@gmail.com>  Tue, 30 Oct 2012 14:12:57 +0800

gcc-4.7-doc (4.7.2-1) unstable; urgency=low

  [Guo Yixuan]
  * Updated and sync patches with gcc-4.7 4.7.2-2. (Closes: #689211)
    + All *.texi files from upstream are added, so more documents can be
      built if needed.
  * Add myself to uploaders.
  * Bumped policy version to 3.9.4.
  * Added texlive-latex-recommended in build-deps to fix build.
  * Fixed spaces in debian/rules.
  * Updated git repo urls in Vcs-*.
  [Steffen Moeller (sponsor)]
  * DMUA flag added, Guo Yixuan is known to sponsor.

 -- Guo Yixuan <culu.gyx@gmail.com>  Sun, 30 Sep 2012 19:50:44 +0800

gcc-4.7-doc (4.7.0-1~naesten1) unstable; urgency=low

  * Package documentation for GCC & friends version 4.7.0.
  * Sync patches with gcc-4.7 version 4.7.0-1.
    + Had to refresh patches to get them all to apply; some were fuzzy.

 -- Samuel Bronson <naesten@gmail.com>  Tue, 03 Apr 2012 18:06:08 -0400

gcc-4.6-doc (4.6.3-1~naesten8) unstable; urgency=low

  * Build PDFs, at Robert Wotzlaw's suggestion and using parts of his changes.
    (Perhaps "inspired by" might be more accurate.)
    + Instead of hard-coding the filenames into the xrefs, which would
      (a) require rewriting rename-info-files.patch from the gcc-X.Y package and
      (b) preclude using different filenames for different output formats,
      we "simply" add support for @value in xref filenames to texinfo.tex.
      Thanks to tex.stackexchange.com for the TeX hints and to Karl Berry for
      accepting my patch.
    + Add the PDFs to our .docs and .doc-base* files, so they get installed and
      registered as alternate forms of the relevant documents.
    + Instruct dh_compress not to compress them, because that often leads
      to trouble with browsers and/or web servers.

 -- Samuel Bronson <naesten@gmail.com>  Tue, 03 Apr 2012 13:31:21 -0400

gcc-4.6-doc (4.6.3-1~naesten7) unstable; urgency=low

  * Fix the links between HTML manuals.
    + Use /usr/share/doc/gcc-X.Y-doc for all packages except gcc-doc-base,
      since we can't use @xref between directories.
    + Stop linking to (e.g.) gcc-4.6.html; the file is named gcc.html!
    + Update the *.doc-base* files for the new paths.
  * Unfortunately, many cross-references involving the GNAT *info* files
    have been broken for a while (probably at least since the docs got
    kicked out of gcc-X.Y proper for being non-free).  (This is arguably a
    bug in the rename-info-files.patch from the gcc-X.Y packages.)

 -- Samuel Bronson <naesten@gmail.com>  Fri, 30 Mar 2012 19:14:37 -0400

gcc-4.6-doc (4.6.3-1~naesten6) unstable; urgency=low

  * New upstream release.
  * New source package name.

