=== debian/control ===
Source: gcc-4.8-doc
Section: non-free/doc
Priority: optional
Maintainer: Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep:
 texinfo, 
 gnat-4.6 | gnat,
 texlive-base,
 texlive-latex-base,
 texlive-generic-recommended,
 texlive-latex-recommended,
 texlive-fonts-recommended
Standards-Version: 3.9.5
Homepage: http://gcc.gnu.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/yixuan-guest/gcc-doc.git
Vcs-Git: git://anonscm.debian.org/users/yixuan-guest/gcc-doc.git -b debian/4.8

# Package: gcc-doc-base
# Architecture: all
# Depends: ${misc:Depends}
# Description: several GNU manual pages
#  This package provides gfdl.7, gpl.7, and fsf-funding.7 manual pages,
#  which should be available together with gcc man pages to fit
#  GNU Free Documentation License requirements.

Package: gcc-4.8-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Description: documentation for the GNU compilers (gcc, gobjc, g++)
 This package contains manual pages and documentation in info, html,
 and pdf format, for the GNU compilers.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

Package: cpp-4.8-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Description: documentation for the GNU C preprocessor (cpp)
 This package contains manual pages and documentation in info, html,
 and pdf format, for the GNU C prerocessor.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

Package: gfortran-4.8-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Description: documentation for the GNU Fortran Compiler (gfortran)
 This package contains manual pages and documentation in info, html,
 and pdf format, for the GNU Fortran 95 compiler.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

Package: gnat-4.8-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Description: documentation for the GNU Ada Compiler (gnat)
 This package contains documentation in info, html, and pdf format, for
 the GNU Ada compiler.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

Package: gcj-4.8-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Provides: gij-4.8-doc
Description: documentation for the GNU Java tools (gcj, gij)
 This package contains manual pages and documentation in info, html,
 and pdf format, for the GNU Java Compiler, the GNU interpreter for Java
 bytecode, and related tools.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.

Package: gccgo-4.8-doc
Architecture: all
Depends: gcc-doc-base (>= 4.1.1.nf3-1), ${misc:Depends}
Suggests: doc-base
Description: documentation for the GNU Go compiler (gccgo)
 This package contains manual pages and documentation in info, html,
 and pdf format, for the GNU Go compiler.
 .
 This documentation is licensed under the terms of the GNU Free
 Documentation License, and contains invariant sections, so it can't be
 part of Debian main.
