## gcc-4.8-doc 4.8.4

=== debian/changelog ===
gcc-4.8-doc (4.8.4-1) unstable; urgency=medium

  * New upstream release: 4.8.4.
  * Synced patches with gcc-4.8, 4.8.4-1.
  * Bumped standards version to 3.9.6, no changes needed.
  * Use texinfo.tex provided by texinfo.
  * Use gnat-4.9 as the default version of gnat.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Thu, 30 Apr 2015 00:51:06 -0400
