=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep:
  texinfo, 
- gnat-4.6 | gnat,
+ gnat-4.9 | gnat,
  texlive-base,
  texlive-latex-base,
  texlive-generic-recommended,
  texlive-latex-recommended,
  texlive-fonts-recommended
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://gcc.gnu.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/yixuan-guest/gcc-doc.git
 Vcs-Git: git://anonscm.debian.org/users/yixuan-guest/gcc-doc.git -b debian/4.8
